error MT1108: no se encontraron herramientas de desarrollador para este dispositivo

Tengo una aplicación Xamarin para iOS que puede funcionar bien en mi dispositivo cuando inicio la aplicación en la configuration "Depurar". Ahora creé una nueva configuration llamada "Puesta en escena" y info.plist el info.plist y los entitlements.plist como info-Staging.plist y los entitlements-Staging.plist y quiero usarlos mientras depuraba en la configuration "Puesta en escena". La única diferencia entre ellos es un identificador diferente (com.blah.blah). Edité el .csproj así:

 <ItemGroup> <None Include="packages.config" /> <None Include="Entitlements.plist" Condition="'$(Configuration)' != 'Staging'" /> <None Include="Info.plist" Condition="'$(Configuration)' != 'Staging'" /> <None Include="Info-Staging.plist" Condition="'$(Configuration)' == 'Staging'"> <LogicalName>Info.plist</LogicalName> </None> <None Include="Entitlements-Staging.plist" Condition="'$(Configuration)' == 'Staging'"> <LogicalName>Entitlements.plist</LogicalName> </None> </ItemGroup> <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Staging|AnyCPU' "> <Optimize>false</Optimize> <OutputPath>bin\Staging</OutputPath> <DefineConstants></DefineConstants> <WarningLevel>4</WarningLevel> <CodesignKey>iPhone Developer</CodesignKey> <CodesignEntitlements>Entitlements-Staging.plist</CodesignEntitlements> <MtouchNoSymbolStrip>true</MtouchNoSymbolStrip> <MtouchLink>SdkOnly</MtouchLink> <MtouchHttpClientHandler>HttpClientHandler</MtouchHttpClientHandler> <AssemblyName>MyApp.iOS</AssemblyName> <DebugSymbols>true</DebugSymbols> <DebugType>full</DebugType> <DefineConstants>DEBUG;ENABLE_TEST_CLOUD;</DefineConstants> <ErrorReport>prompt</ErrorReport> <ConsolePause>false</ConsolePause> <DeviceSpecificBuild>true</DeviceSpecificBuild> <MtouchDebug>true</MtouchDebug> <MtouchFastDev>true</MtouchFastDev> <MtouchFloat32>true</MtouchFloat32> <MtouchArch>ARMv7, ARM64</MtouchArch> <MtouchTlsProvider>Default</MtouchTlsProvider> <PlatformTarget>x86</PlatformTarget> </PropertyGroup> 

Pero cuando bash comstackr la aplicación en mi dispositivo, aparece este post:

error MT1108: Could not find developer tools for this 10.2.1 (14D27) device. Please ensure you are using a compatible Xcode version and then connect this device to Xcode to install the development support files.

Este problema es muy simple. En realidad, solo verifique si la versión instalada de Xcode en su máquina MAC y la versión de Xamarin que tiene ahora en su sistema coinciden. Para eso, debes comprobar en Visual Studio como Herramientas / Opciones / Xamarin